# CE Certificaiton of Open Source hardware

## What is CE Certification?

write on
- What does it means when a product is CE certified?
- Who can CE certify

## 6 Steps for CE certification

1. Identify which directives are applicable for each module: Not all products required to be CE certified so we need to check each of our modules to fall in at least one CE marking directive. If not, no CE marking is needed.
2. Identify the applicable requirements of the applicable directives: Each directive has it’s own methods of demonstrating conformity. This usually depends on the classification of the product and its intended use.
3. Every directive has a number of essential requirements which the product has to meet.
4. Identify the route to conformity: The CE marking process is always a self-declaration process however it can be required to involve a third party. This is described in the “system of attestation” and will vary between directives.
5. Assessment of the product’s conformity: When all the requirements have been met, you need evidence that the product meets the essential requirements of the directive(s)
6. Compile the technical documentation: This information should cover every aspect relating to conformity and should include design, development and manufacture of the product.
7. Make a declaration and affix the CE mark: When the product satisfies the applicable CE marking directives as they must complete a declaration. 
[Source, Last accessed 25/08/2021](https://www.openmotics.com/en/how-to-make-open-source-hardware-products-ce-certified/)

When there is no CE marking directive, then the [General Product Safety Directive](https://ec.europa.eu/info/business-economy-euro/product-safety-and-requirements/product-safety/consumer-product-safety_en) applies.

----

Further Points to elaborate:

1. Points to consider for the general product safety directive during design phase
2. Check which machine directives to consider for the various machines - Possible further info available in the thesis done by Tobias's student
3. Divide the points in the various categories such as mechanics and drive, user safety features, electronics etc.
4. Make guidelines for the design to be considered so that the machines can be CE certified without further steps.